package com.willalp.control.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * 空开设备号口配置对象 hs_control_useno_config
 *
 * @author willalp
 * @date 2022-02-21
 */

@TableName("hs_control_useno_config")
public class HsControlUsenoConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 使用号口ID */
    @TableId
    private Long useNoId;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 号口名称 */
    @Excel(name = "号口名称")
    private String useNoName;

    /** 指令默认 */
    @Excel(name = "指令默认")
    private String commandDefault;

    /** 指令：开 */
    @Excel(name = "指令：开")
    private String commandOpen;

    /** 指令：关 */
    @Excel(name = "指令：关")
    private String commandClose;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setUseNoId(Long useNoId)
    {
        this.useNoId = useNoId;
    }

    public Long getUseNoId()
    {
        return useNoId;
    }
    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }
    public void setUseNoName(String useNoName)
    {
        this.useNoName = useNoName;
    }

    public String getUseNoName()
    {
        return useNoName;
    }
    public void setCommandDefault(String commandDefault)
    {
        this.commandDefault = commandDefault;
    }

    public String getCommandDefault()
    {
        return commandDefault;
    }
    public void setCommandOpen(String commandOpen)
    {
        this.commandOpen = commandOpen;
    }

    public String getCommandOpen()
    {
        return commandOpen;
    }
    public void setCommandClose(String commandClose)
    {
        this.commandClose = commandClose;
    }

    public String getCommandClose()
    {
        return commandClose;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("useNoId", getUseNoId())
            .append("deviceId", getDeviceId())
            .append("useNoName", getUseNoName())
            .append("commandDefault", getCommandDefault())
            .append("commandOpen", getCommandOpen())
            .append("commandClose", getCommandClose())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
